@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

body {
    margin: 0;
    font-family: 'Roboto', sans-serif;
    background-color: #031015;
    color: #fff;
}

header {
    background-color:#0E171E;
    position: fixed;
    padding: 15px;
    top: 0;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 1000;
}
header img{
    width: 150px;
    margin: 0%;
    margin-right: 50px;
}
section {
    padding-top: 80px;  
    margin-top: -80px; 
}

.logo {
    font-size: 1.5rem;
}

nav {
    display: flex;
}

.menu ul{
    list-style-type: none;
    margin:0;
    padding: 0;
    display: flex;
    font-weight:900;
    margin-left: -10%;
    flex-wrap: wrap;
}

.menu li {
    margin-right: 30px;
    z-index: 2;
}

.menu a {
    text-decoration: none;
    color: #fff;
    font-weight: bold;
    position: relative;
    transition: color 0.3s ease;
    z-index: 2;
}
.menu a:hover {
    color: black; 
  }
  
  .menu a::before {
    content: "";
    position: absolute;
    top: -10px; 
    right: -10px; 
    bottom: -10px; 
    left: -10px;
    background-color: yellow;
    opacity: 0; 
    border-radius: 20px; 
    z-index: -1;
    transition: opacity 0.3s ease;
  }
  
  .menu a:hover::before {
    opacity: 1; 
  }

.sello{
    text-align: center;
}
.sello img {
    width: 160px;
}
main{
    margin-top: 100px;
    margin-left: 15%;
    margin-right: 15%;
    /*background-color: aqua;*/
}
.front img{
    width: 100%;
    background-color: blueviolet;
    display:inline-block;
}
.servicios{
    margin-top: 30px;
    display: flex;
    justify-content:center; 
    align-items: center; 
    flex-wrap: wrap;
}
.servicios img{
    width: 150px;
}
.servicios article{
    flex: 1; 
    max-width: 200px; 
    margin: 10px; 
    text-align: center; 
    padding: 10px; 
    /*border: 1px solid #ccc; */
}
.servicios p{
    font-size: large;
    font-weight: bold;
    text-align: center;
}

.paquetes ul{
    list-style: none;
    text-align: left;
}
#basico img{
    height: auto;
    max-width: 60px;
}

.carrusel {
    margin-top: 30px;
    position: relative;
    overflow: hidden;
    background-color: #fff;
    width: 100%; 
    border: 5px solid #0E171E;
    border-radius: 1px;
  }
  
  .contenedor-imagenes {
    display: flex;
    transition: transform 0.5s ease-in-out;
    margin: 1%; 
    
  }
  
  .imagen-slider {
    width: 15%;
    height: auto;
    border: 1px solid black; 
    margin: 0 5px; 
    object-fit: cover;
    
  }
  
  .anterior,
  .siguiente {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 24px;
    cursor: pointer;
    background: none;
    border: none;
    outline: none;
  }
  
  .anterior {
    left: 10px;
  }
  
  .siguiente {
    right: 10px;
  }

.separador{
    border: none;
    border-top: 2px solid yellow;
    margin: 20px 0;
}
footer{
    background-color:#0E171E;
    font-weight: bold;

    
}
.footcontenedor{
    margin-left: 5%;
    margin-right: 5%;
    display: flex;

}
 
.columna {
    flex: 1; /* todo el espacio el contenedor */

}
a {
    color: white; 
    text-decoration: none; 
    text-align: center;
  }
.icono{
    font-size: 50px;
    
}
.columna p{
    font-size: 30;
}
    

/* responsivo */

#menudo{
    display: none; 
}
header label{
    position: absolute;
    width: 50px;
    height: 60px;
    border: 2px solid yellow;
    border-radius: 5px;
    font-size: 50px;
    color:yellow;
    background: black;
    text-align:center;
    margin-top: 0px;
    display: none;  
}
#lbl{
    display: none;
}
header label:hover{
    cursor: pointer;
}
@media(max-width:700px){


    header label{
        display: block;
         top: 50px;
         border: 4px solid;
         margin-left: 10px;
         border-radius: 10px;
         -webkit-align-content: center;
         -ms-flex-line-pack: center;
         align-content: center;
         -webkit-box-align: center;
         -webkit-align-items: center;
         -ms-flex-align: center;
         align-items: center;
         display: -webkit-box;
         display: -webkit-flex;
         display: -ms-flexbox;
         display: flex;           
         
     }
     #lbl {
        display: flex;
     }
     .menu{
        top: 110px;
        position: absolute;
        background: rgba(51,51,51,.5);
        width: 90%;
        height: auto;
        margin-left: -100%;
        -webkit-transition: all 0.5s;
        transition: all 0.5s;
        
    }
    .menu ul{
        
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -webkit-flex-direction: column;
        -ms-flex-direction: column;
        flex-direction: column;
        
    }
    .menu li{
        
        border-top: 1px solid aquamarine;
        font-size: 40px;
        text-align: left;
        margin-left: 60px;
        
    }   
    #menudo:checked ~ .menu{
        margin: 0;

    }
    .columna img{
        width: 100px;
        height: auto;
        margin-top: 200px;
    }
    
}
    
    